# GeomAbs_CurveType.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | GeomAbs_CurveType { GeomAbs_Line, GeomAbs_Circle, GeomAbs_Ellipse, GeomAbs_Hyperbola, GeomAbs_Parabola, GeomAbs_BezierCurve, GeomAbs_BSplineCurve, GeomAbs_OtherCurve }

## Enumeration Type Documentation

enum GeomAbs_CurveType

Enumeration values:

  GeomAbs_Line |
  GeomAbs_Circle |
  GeomAbs_Ellipse |
  GeomAbs_Hyperbola |
  GeomAbs_Parabola |
  GeomAbs_BezierCurve |
  GeomAbs_BSplineCurve |
  GeomAbs_OtherCurve |